require 'test_helper'

class PodujatieKlientisControllerTest < ActionController::TestCase
  setup do
    @podujatie_klienti = podujatie_klientis(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:podujatie_klientis)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create podujatie_klienti" do
    assert_difference('PodujatieKlienti.count') do
      post :create, podujatie_klienti: @podujatie_klienti.attributes
    end

    assert_redirected_to podujatie_klienti_path(assigns(:podujatie_klienti))
  end

  test "should show podujatie_klienti" do
    get :show, id: @podujatie_klienti
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @podujatie_klienti
    assert_response :success
  end

  test "should update podujatie_klienti" do
    put :update, id: @podujatie_klienti, podujatie_klienti: @podujatie_klienti.attributes
    assert_redirected_to podujatie_klienti_path(assigns(:podujatie_klienti))
  end

  test "should destroy podujatie_klienti" do
    assert_difference('PodujatieKlienti.count', -1) do
      delete :destroy, id: @podujatie_klienti
    end

    assert_redirected_to podujatie_klientis_path
  end
end
